package de.tudarmstadt.informatik.hostage.ui2.fragment;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import com.fortysevendeg.android.swipelistview.SwipeListView;

import java.util.ArrayList;
import java.util.List;

import de.tudarmstadt.informatik.hostage.R;
import de.tudarmstadt.informatik.hostage.dao.ProfileManager;
import de.tudarmstadt.informatik.hostage.model.Profile;
import de.tudarmstadt.informatik.hostage.ui2.adapter.ProfileManagerListAdapter;
import de.tudarmstadt.informatik.hostage.ui2.model.ProfileListItem;

/**
 * @author Alexander Brakowski
 * @created 14.01.14 15:05
 */
public class ProfileManagerFragment extends Fragment {

    public ProfileManagerFragment(){}

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

	    super.onCreateView(inflater, container, savedInstanceState);

        View rootView = inflater.inflate(R.layout.fragment_profile_manager, container, false);
	    SwipeListView list = (SwipeListView) rootView.findViewById(R.id.profile_manager_listview);

		ProfileManager pmanager = ProfileManager.getInstance();

        List<Profile> strList = pmanager.getProfilesList();

        ProfileManagerListAdapter adapter = new ProfileManagerListAdapter(getActivity().getBaseContext(), strList);
        list.setAdapter(adapter);

        return rootView;
    }
}